<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyQuote',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div>
    <SlpRow class="case-study-quote">
      <SlpColumn :cols="11">
        <a
          :href="data.url"
          class="case-study-quote__link"
          :data-ga-name="data.title_img?.alt?.replace(' Logo', '')"
          :data-ga-location="data?.ga_location"
        >
          <div class="case-study-quote__title-container">
            <img
              v-if="data.title_img"
              :src="data.title_img.url"
              :alt="data.title_img.alt"
              loading="lazy"
            />
          </div>

          <div
            class="case-study-quote__body"
            v-html="$md.render(data.quote)"
          ></div>
          <p class="slp-mt-16">
            <SlpTypography
              class="case-study-quote__author"
              tag="span"
              variant="body1-bold"
              >- {{ data.author }}</SlpTypography
            ><SlpTypography v-if="data.position" tag="span" variant="body1"
              >, {{ data.position }}</SlpTypography
            >
          </p>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style scoped lang="scss">
.case-study-quote {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  @media (min-width: $breakpoint-md) {
    flex-wrap: nowrap;
  }

  &__title-container {
    width: 6rem;
    img {
      max-height: 80px;
      min-height: 50px;
    }
  }

  &__body {
    padding: $spacing-16 0;
    font-weight: 400;
    letter-spacing: -0.8px;
    line-height: 32px;
    font-size: 23px;
    font-style: italic;
  }

  &__main-img {
    min-width: 250px;
  }
}

.case-study-quote__link {
  color: $color-text-300;
}
</style>
